Subject: bug#62009: 29.0.60; Emacs crashes on setf symbol-name

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Mar 2023 14:57:27 +0200

> Date: Fri, 10 Mar 2023 13:45:11 +0100
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> From: Daniel Mendler <[email-masked]>
> 
> > We disagree here, and this is a very fundamental disagreement, which
> > basically means continuing this argument is pointless, since we have
> > no common basis.
> 
> I don't see that the disagreement is that strong. For example aset
> signals an error if you try to access elements out of bounds.
> 
> (aset "abc" 3 ?x) -> args-out-of-range

yes, because that's a frequent programmatic mistake.

> So there are clearly use cases where signaling an error is justified.

Of course.  It's just that the use case being discussed is not one of
them.

> In other cases you claim signaling an error is unjustified and a
> crash is better.

I said nothing of the kind.  I said it was unjustified in the
particular case which is being discussed here.